all:
  dense:
  deepfried:
  deepstrom_real_gamma:
  deepstrom_real_no_kernel_param:
  deepstrom_learned_gamma:
  deepstrom_learned_no_kernel_param:

base:
  epoch_numbers: {"-e": [50]}
  batch_sizes: {"-s": [64]}
  val_size: {"-v": [10000]}
  seed: {"-a": "range(10)"}
  data_size: {"-t":[20, 50, 100, 200, 500, 1000, 2000]}
  dataset: ["--mnist"]

gammavalue:
  gamma: {"-g": [0.0008946284605861804]}

dense:
  network: ["dense"]
  base:
  repr_dim: {"-D": [16, 64, 128, 1024]}

deepfried:
  network: ["deepfriedconvnet"]
  base:
  gammavalue:
  nbstacks: {"-N": [1]}

deepstrom_base:
  network: ["deepstrom"]
  base:
  nys_size: {"-m": [128, 256, 512, 1024]}

deepstrom_real:
  deepstrom_base:
  real_nys: ["-r"]

deepstrom_real_gamma:
  deepstrom_real:
  gammavalue:
  kernel: ["-R"]

deepstrom_real_no_kernel_param:
  deepstrom_real:
  kernel: ["-C", "-L"]

deepstrom_learned:
  deepstrom_base:

deepstrom_learned_gamma:
  deepstrom_learned:
  gammavalue:
  kernel: ["-R"]

deepstrom_learned_no_kernel_param:
  deepstrom_learned:
  kernel: ["-C", "-L"]

